#!/usr/bin/wish

# load the library
load ./ssctester.so

connect

set frames ""
for {set i 0} {$i < 16} {incr i} {
    frame .servo$i
    label .servo$i.label -text $i
    scale .servo$i.scale -width 20 -length 200 -orient vertical -from 500 -to 5500 -command "stepTo 0 $i " -showvalue 0
    checkbutton .servo$i.check -variable enabled$i -highlightthickness 0 -command "enable 1 $i \$enabled$i"
    pack .servo$i.label .servo$i.scale .servo$i.check -side top
    .servo$i.scale set 3000

    set frames "$frames .servo$i"
}

# Put them in the window in row order
eval "pack $frames -side left"
